import Request from '@/utils/request/request-util';

/**
 * 业务 -基于Excel解析日志api
 *
 */
export class ExcelInitLogApi {
  /**
   * 查看AI解析业务日志详情
   */
  static detail(params) {
    return Request.getAndLoadData('/businessAiParseLog/detail', params);
  }
  /**
   * 编辑
   */
  static edit(params) {
    return Request.post('/businessAiParseLog/edit', params);
  }
  /**
   * 删除单个
   */
  static delete(params) {
    return Request.post('/businessAiParseLog/delete', params);
  }
  /**
   * 批量删除AI解析业务日志
   */
  static batchDelete(params) {
    return Request.post('/businessAiParseLog/batchDelete', params);
  }
  /**
   * 获取AI解析业务日志列表
   */
  static list(params) {
    return Request.getAndLoadData('/businessAiParseLog/list', params);
  }

  /**
   * 分页列表
   */
  static page(params) {
    return Request.getAndLoadData('/businessAiParseLog/page', params);
  }
}
